<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List" />
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;requestId>versionedAttribute.numeric@asc&lt;/requestId>&lt;body>&lt;elements>&lt;element>&lt;templateCustomId>STADT&lt;/templateCustomId>&lt;id>1562&lt;/id>&lt;customId>Athen&lt;/customId>&lt;description/>&lt;versionKey>2026-02-17T08:25:17.128Z&lt;/versionKey>&lt;versionedAttributes>&lt;nickname/>&lt;numeric/>&lt;/versionedAttributes>&lt;/element>&lt;element>&lt;templateCustomId>STADT&lt;/templateCustomId>&lt;id>1568&lt;/id>&lt;customId>Piräus&lt;/customId>&lt;description/>&lt;versionKey>2026-02-17T08:25:30.199Z&lt;/versionKey>&lt;versionedAttributes>&lt;nickname/>&lt;numeric>-4&lt;/numeric>&lt;/versionedAttributes>&lt;/element>&lt;element>&lt;templateCustomId>STADT&lt;/templateCustomId>&lt;id>1552&lt;/id>&lt;customId>Hamburg&lt;/customId>&lt;description/>&lt;versionKey>2026-02-17T08:25:26.661Z&lt;/versionKey>&lt;versionedAttributes>&lt;nickname/>&lt;numeric>9&lt;/numeric>&lt;/versionedAttributes>&lt;/element>&lt;element>&lt;templateCustomId>STADT&lt;/templateCustomId>&lt;id>1566&lt;/id>&lt;customId>Erlangen&lt;/customId>&lt;description/>&lt;versionKey>2026-02-17T08:25:24.828Z&lt;/versionKey>&lt;versionedAttributes>&lt;nickname/>&lt;numeric>9&lt;/numeric>&lt;/versionedAttributes>&lt;/element>&lt;element>&lt;templateCustomId>STADT&lt;/templateCustomId>&lt;id>1565&lt;/id>&lt;customId>Dortmund&lt;/customId>&lt;description/>&lt;versionKey>2026-02-17T08:25:22.897Z&lt;/versionKey>&lt;versionedAttributes>&lt;nickname/>&lt;numeric>10&lt;/numeric>&lt;/versionedAttributes>&lt;/element>&lt;element>&lt;templateCustomId>STADT&lt;/templateCustomId>&lt;id>1564&lt;/id>&lt;customId>Chemnitz&lt;/customId>&lt;description/>&lt;versionKey>2026-02-17T08:25:20.996Z&lt;/versionKey>&lt;versionedAttributes>&lt;nickname/>&lt;numeric>10.5&lt;/numeric>&lt;/versionedAttributes>&lt;/element>&lt;element>&lt;templateCustomId>STADT&lt;/templateCustomId>&lt;id>1563&lt;/id>&lt;customId>Brüssel&lt;/customId>&lt;description/>&lt;versionKey>2026-02-17T08:25:19.061Z&lt;/versionKey>&lt;versionedAttributes>&lt;nickname/>&lt;numeric>11&lt;/numeric>&lt;/versionedAttributes>&lt;/element>&lt;/elements>&lt;total>8&lt;/total>&lt;release>89&lt;/release>&lt;/body>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">4308</Property>
		<Property name="ISCurrentTime" type="Long">1771317303706</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api</Property>
		<Property name="ISModuleName">VAM_zzz_test_validate_each_response</Property>
		<Property name="ISModuleId">438</Property>
		<Property name="ISProcessId">500218</Property>
		<Property name="ISUserName">ckaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">172.17.0.1</Property>
		<Property name="ISGlobalProcessId">500218</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="demux.totalIterations" type="Integer">1</Property>
		<Property name="demux.iterator" type="Integer">1</Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:template match="/*">&lt;root>&lt;xsl:for-each select="/response/responses/response">&lt;xsl:variable name="var.key" select="substring-after(substring-before(requestId, '@'), '.')"/>&lt;xsl:variable name="var.direction" select="substring-after(requestId, '@')"/>&lt;xsl:variable name="var.original" select="body/elements/element" as="element()+"/>&lt;xsl:variable name="var.sorted" as="element()+">&lt;xsl:perform-sort select="$var.original">&lt;xsl:sort select="string(versionedAttributes/*[name() = $var.key])" order="{ if ($var.direction='desc')  then 'descending' else 'ascending' }"/>&lt;xsl:sort select="xs:integer(id)"/>&lt;/xsl:perform-sort>&lt;/xsl:variable>&lt;xsl:if test="not(deep-equal($var.original, $var.sorted)) ">&lt;xsl:sequence select="error((), 'Bad sort')"/>&lt;/xsl:if>&lt;/xsl:for-each>&lt;/root>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>